Bug 26159 - Remove the use of jquery.checkboxes plugin from batch record delete page
Summary: Remove the use of jquery.checkboxes plugin from batch record delete page
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 26006
  Show dependency treegraph
 
Reported: 2020-08-06 11:37 UTC by Owen Leonard
Modified: 2020-09-10 03:43 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.04


Attachments
Bug 26159: Remove the use of jquery.checkboxes plugin from batch record delete page (4.64 KB, patch)
2020-08-13 12:03 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26159: Remove the use of jquery.checkboxes plugin from batch record delete page (4.70 KB, patch)
2020-08-17 15:54 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 26159: Remove the use of jquery.checkboxes plugin from batch record delete page (4.76 KB, patch)
2020-08-17 22:00 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-08-06 11:37:39 UTC
As described in Bug 26006 the jquery.checkboxes plugin is old and unmaintained. 

Its use should be replaced on the batch record delete page
Comment 1 Owen Leonard 2020-08-13 12:03:20 UTC Comment hidden (obsolete)
Comment 2 Amit Gupta 2020-08-17 15:54:50 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2020-08-17 22:00:29 UTC
Created attachment 108422 [details] [review]
Bug 26159: Remove the use of jquery.checkboxes plugin from batch record delete page

This patch removes the use of the jquery.checkboxes plugin from the
batch delete records page.

To test, apply the patch and go to Tools ->  Batch record deletion.

 - Submit a batch of biblionumbers which includes one or more
   checked-out items, one or more on-hold items, and one or more records
   with no items.
 - On the confirmation page, test the selection links at the top of the
   results table. Each one should work correctly.
 - Submit a batch of authority record ids which includes some records
   which are in use and some which aren't.
 - On the confirmation page, test the selection links at the top of the
   results table. Each one should work correctly.

Signed-off-by: Amit Gupta <amit.gupta@informaticsglobal.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-08-18 15:47:43 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-09-04 15:16:19 UTC
backported to 20.05.x for 20.05.04
Comment 6 Aleisha Amohia 2020-09-10 03:43:00 UTC
enhancement, not backported to 19.11.x